<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: プロパティリスト</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>プロパティリスト<br/>
<small>
[<a class="el" href="group__m17nCore.html">コア API</a>]</small>
</h1>
<p>プロパティリストオブジェクトとそれに関する API.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト・オブジェクトの型宣言.  <a href="#gac8b2ac3c9a8f0a6afb7f189b694035e2"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga687bcaacf8110e0f60a12c9ebc288b4c">mplist_deserialize</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をデシリアライズしてプロパティリストを作る.  <a href="#ga687bcaacf8110e0f60a12c9ebc288b4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga86cff73047b6462271d086f7365782ff">mplist</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストオブジェクトを作る.  <a href="#ga86cff73047b6462271d086f7365782ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga03cb2253e439ec15d0bbbac6f86f0e37">mplist_copy</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストをコピーする.  <a href="#ga03cb2253e439ec15d0bbbac6f86f0e37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3">mplist_put</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト中のプロパティの値を設定する.  <a href="#gafbfabe7a3e97e3dc6968263f61a3bee3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b">mplist_get</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト中のプロパティの値を得る.  <a href="#ga2a2f833fccd7b699eb31e5de62cea41b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gab1654476aef37dbea02c56476353ab8e">mplist_put_func</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, <a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a> func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト中のプロパティに関数ポインタである値を設定する.  <a href="#gab1654476aef37dbea02c56476353ab8e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga215ddb45ee970edbee7ff2e2e6bc1e8d">mplist_get_func</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストからプロパティの関数ポインタである値を得る.  <a href="#ga215ddb45ee970edbee7ff2e2e6bc1e8d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gaf5d13d2df5af9260356aa415e3965def">mplist_add</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト末尾にプロパティを追加する.  <a href="#gaf5d13d2df5af9260356aa415e3965def"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga20e766b438f42a13bdee803908e6096d">mplist_push</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストの先頭にプロパティを挿入する.  <a href="#ga20e766b438f42a13bdee803908e6096d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gae05459bfe72a34eefe5a04b4aa75d20a">mplist_pop</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストの先頭からプロパティを削除する.  <a href="#gae05459bfe72a34eefe5a04b4aa75d20a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969">mplist_find_by_key</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト中から指定のキーを持つプロパティを探す.  <a href="#ga73caf1b7a0082184ff15e1b3e2da8969"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gaeb782bf76f84a8620331c8de70d43ba7">mplist_find_by_value</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト中から指定の値を持つプロパティを探す.  <a href="#gaeb782bf76f84a8620331c8de70d43ba7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga5c7598c133f6a177a2ad5781fc712f6e">mplist_next</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストの次の部分リストを返す.  <a href="#ga5c7598c133f6a177a2ad5781fc712f6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#gab343caba712200f5324c12f668f7e6da">mplist_set</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストの最初のプロパティを設定する.  <a href="#gab343caba712200f5324c12f668f7e6da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga334646ff9553354f4b041947f000764d">mplist_length</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリストの長さを返す.  <a href="#ga334646ff9553354f4b041947f000764d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga79d757b26382412e7ea69e914bc06a07">mplist_key</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト中の最初のプロパティのキーを返す.  <a href="#ga79d757b26382412e7ea69e914bc06a07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga855f3010b216bcf5f0914553fc034295">mplist_value</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">プロパティリスト中の最初のプロパティの値を返す.  <a href="#ga855f3010b216bcf5f0914553fc034295"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8">Minteger</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"integer" を名前として持つシンボル.  <a href="#ga0ce08eb57aa339db4d4745e75e80fdd8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga933000e154873f9bfcaa56d976bd259b">Mplist</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"plist" を名前として持つシンボル.  <a href="#ga933000e154873f9bfcaa56d976bd259b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd">Mtext</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"mtext" を名前として持つシンボル.  <a href="#ga1a22859374071a0ca66f12452afee8bd"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>プロパティリストオブジェクトとそれに関する API. </p>
<p><em>プロパティリスト</em> (または <em>plist</em>) は 0 個以上のプロパティのリストである。プロパティは <em>キー</em> と <em>値</em> からなる。キーはシンボルであり、値は <code>(void *)</code> にキャストできるものならば何でも良い。</p>
<p>あるプロパティのキーが <em>管理キー</em> ならば、その <em>値</em> は <em>管理下</em> <em>オブジェクト</em> である。プロパティリスト自体も管理下オブジェクトである。 </p>
<hr/><h2>型定義</h2>
<a class="anchor" id="gac8b2ac3c9a8f0a6afb7f189b694035e2"></a><!-- doxytag: member="m17n&#45;core.h::MPlist" ref="gac8b2ac3c9a8f0a6afb7f189b694035e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト・オブジェクトの型宣言. </p>
<p><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2" title="プロパティリスト・オブジェクトの型宣言.">MPlist</a> は <em>プロパティリスト</em> (Property list) オブジェクトの型である。 内部構造はアプリケーションプログラムからは見えない。 </p>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga687bcaacf8110e0f60a12c9ebc288b4c"></a><!-- doxytag: member="m17n&#45;core.h::mplist_deserialize" ref="ga687bcaacf8110e0f60a12c9ebc288b4c" args="(MText *mt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> * mplist_deserialize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>M-text をデシリアライズしてプロパティリストを作る. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga687bcaacf8110e0f60a12c9ebc288b4c" title="M-text をデシリアライズしてプロパティリストを作る.">mplist_deserialize()</a> は M-text <b>mt</b> を解析してプロパティリストを返す。</p>
<p><b>mt</b> のシンタックスは以下の通り。</p>
<p>MT ::= '(' ELEMENT * ')'</p>
<p>ELEMENT ::= SYMBOL | INTEGER | M-TEXT | PLIST</p>
<p>SYMBOL ::= アスキー文字列</p>
<p>INTEGER ::= '-' ? [ '0' | .. | '9' ]+ | '0x' [ '0' | .. | '9' | 'A' | .. | 'F' | 'a' | .. | 'f' ]+</p>
<p>M-TEXT ::= '"' character-sequence '"'</p>
<p><code>ELEMENT</code> の各選択肢はキー：<code>Msymbol</code>, <code>Minteger</code>, <code>Mtext</code>, <code>Mplist</code> のいずれかを割り当てられている。</p>
<p>アスキー文字列内では、バックスラッシュ (\) がエスケープ文字として用いられる。たとえば <code>abc\ def</code> は 4 文字目が空白文字であり長さが 7 である持つ名前を持つシンボルを生成する。 </p>

</div>
</div>
<a class="anchor" id="ga86cff73047b6462271d086f7365782ff"></a><!-- doxytag: member="plist.c::mplist" ref="ga86cff73047b6462271d086f7365782ff" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストオブジェクトを作る. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga86cff73047b6462271d086f7365782ff" title="プロパティリストオブジェクトを作る.">mplist()</a> は長さ 0 のプロパティリストオブジェクトを新しく作って返す。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は新しく作られたプロパティリストオブジェクトを返す。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd>この関数は決して失敗しない。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga03cb2253e439ec15d0bbbac6f86f0e37"></a><!-- doxytag: member="plist.c::mplist_copy" ref="ga03cb2253e439ec15d0bbbac6f86f0e37" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストをコピーする. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga03cb2253e439ec15d0bbbac6f86f0e37" title="プロパティリストをコピーする.">mplist_copy()</a> はプロパティリスト <b>plist</b> をコピーする。コピーのすべての値はコピー元 <b>plist</b> の値と同じである。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は新しく作られた、<b>plist</b> のコピーであるプロパティリストを返す。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd>この関数は決して失敗しない。 </dd></dl>

</div>
</div>
<a class="anchor" id="gafbfabe7a3e97e3dc6968263f61a3bee3"></a><!-- doxytag: member="plist.c::mplist_put" ref="gafbfabe7a3e97e3dc6968263f61a3bee3" args="(MPlist *plist, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_put </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト中のプロパティの値を設定する. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3" title="プロパティリスト中のプロパティの値を設定する.">mplist_put()</a> はプロパティリスト <b>plist</b> を始めから探して、キーが <b>key</b> であるプロパティを見つける。見つかれば、その値を <b>value</b> に変更する。見つからなければ、キーが <b>key</b> で値が <b>value</b> である新しいプロパティが <b>plist</b> の末尾に追加される。<b>key</b> と <b>val</b> に対する制限については、mplist_add() の説明を参照。</p>
<p><b>key</b> が管理キーならば、 <b>val</b> は管理下オブジェクトでなくてはならない。この場合、古い値の参照数は <code>NULL</code> でなければ 1 減らされ、<b>val</b> の参照数は 1 増やされる。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理が成功すれば <a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3" title="プロパティリスト中のプロパティの値を設定する.">mplist_put()</a> は変更されたか追加された要素から始まる <b>plist</b> の部分リストを返す。そうでなければ <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga2a2f833fccd7b699eb31e5de62cea41b"></a><!-- doxytag: member="plist.c::mplist_get" ref="ga2a2f833fccd7b699eb31e5de62cea41b" args="(MPlist *plist, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mplist_get </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト中のプロパティの値を得る. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b" title="プロパティリスト中のプロパティの値を得る.">mplist_get()</a> は、プロパティリスト <b>plist</b> を始めから探して、キー が <b>key</b> であるプロパティを見つける。見つかれば、その値を <code>(void *)</code> 型で返す。見つからなければ <code>NULL</code> を返す。</p>
<p><code>NULL</code> が返った際には二つの可能性がある: 上記のようにプロパティが見つからなかった場合と、プロパティが見つかり、その値が <code>NULL</code> である場合である。これらを区別する必要がある場合には関数 <a class="el" href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969" title="プロパティリスト中から指定のキーを持つプロパティを探す...">mplist_find_by_key()</a> を使うこと。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969" title="プロパティリスト中から指定のキーを持つプロパティを探す...">mplist_find_by_key()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gab1654476aef37dbea02c56476353ab8e"></a><!-- doxytag: member="plist.c::mplist_put_func" ref="gab1654476aef37dbea02c56476353ab8e" args="(MPlist *plist, MSymbol key, M17NFunc func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_put_func </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a>&nbsp;</td>
          <td class="paramname"> <em>func</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト中のプロパティに関数ポインタである値を設定する. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#gab1654476aef37dbea02c56476353ab8e" title="プロパティリスト中のプロパティに関数ポインタである値を設定する...">mplist_put_func()</a> は関数 <a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3" title="プロパティリスト中のプロパティの値を設定する.">mplist_put()</a> 同様、プロパティリスト <b>plist</b> 中でキーが <b>key</b> であるプロパティに値を設定する。但しその値は関数ポインタ <b>func</b> である。<b>key</b> は管理キーであってはならない。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nPlist.html#gafbfabe7a3e97e3dc6968263f61a3bee3" title="プロパティリスト中のプロパティの値を設定する.">mplist_put()</a>, <a class="el" href="group__m17nCore.html#ga56e45d7b0345761359001fe038d121ae" title="汎関数型へのラッパ.">M17N_FUNC()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga215ddb45ee970edbee7ff2e2e6bc1e8d"></a><!-- doxytag: member="plist.c::mplist_get_func" ref="ga215ddb45ee970edbee7ff2e2e6bc1e8d" args="(MPlist *plist, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nCore.html#ga2216940cb054b8693aa9d65887bb4b5e">M17NFunc</a> mplist_get_func </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストからプロパティの関数ポインタである値を得る. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga215ddb45ee970edbee7ff2e2e6bc1e8d" title="プロパティリストからプロパティの関数ポインタである値を得る...">mplist_get_func()</a> は関数 <a class="el" href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b" title="プロパティリスト中のプロパティの値を得る.">mplist_get()</a> と同様に、プロパティリ スト <b>plist</b> 中でキーが <b>key</b> であるプロパティの値、但し関数ポインタ、 を得る。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nPlist.html#ga2a2f833fccd7b699eb31e5de62cea41b" title="プロパティリスト中のプロパティの値を得る.">mplist_get()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaf5d13d2df5af9260356aa415e3965def"></a><!-- doxytag: member="plist.c::mplist_add" ref="gaf5d13d2df5af9260356aa415e3965def" args="(MPlist *plist, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_add </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト末尾にプロパティを追加する. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#gaf5d13d2df5af9260356aa415e3965def" title="プロパティリスト末尾にプロパティを追加する.">mplist_add()</a> は、プロパティリスト <b>plist</b> の末尾にキーが <b>key</b> で値が <b>val</b> であるプロパティを追加する。<b>key</b> は、<code>Mnil</code> 以外の任意のシンボルでよい。</p>
<p><b>key</b> が管理キーならば、<b>val</b> は管理下オブジェクトでなくてはならない。この場合、 <b>val</b> の参照数は 1 増やされる。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば <a class="el" href="group__m17nPlist.html#gaf5d13d2df5af9260356aa415e3965def" title="プロパティリスト末尾にプロパティを追加する.">mplist_add()</a> は追加された要素から始まる <b>plist</b> の部分リストを返す。そうでなければ <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga20e766b438f42a13bdee803908e6096d"></a><!-- doxytag: member="plist.c::mplist_push" ref="ga20e766b438f42a13bdee803908e6096d" args="(MPlist *plist, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_push </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストの先頭にプロパティを挿入する. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga20e766b438f42a13bdee803908e6096d" title="プロパティリストの先頭にプロパティを挿入する.">mplist_push()</a> はプロパティリスト <b>plist</b> の先頭にキーが <b>key</b> で値が <b>val</b> であるオブジェクトを挿入する。</p>
<p><b>key</b> が管理キーならば、<b>val</b> は管理下オブジェクトでなくてはならない。この場合、 <b>val</b> の参照数は 1 増やされる。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すればこの関数は <b>plist</b> を返し、そうでなければ<code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="gae05459bfe72a34eefe5a04b4aa75d20a"></a><!-- doxytag: member="plist.c::mplist_pop" ref="gae05459bfe72a34eefe5a04b4aa75d20a" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mplist_pop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストの先頭からプロパティを削除する. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#gae05459bfe72a34eefe5a04b4aa75d20a" title="プロパティリストの先頭からプロパティを削除する.">mplist_pop()</a> はプロパティリスト <b>plist</b> の先頭のプロパティを削 除する。結果として、元の2番目のキーと値が先頭のキーと値になる。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理に成功すれば、この関数は削除されたプロパティの値を返す。そうでなければ <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga73caf1b7a0082184ff15e1b3e2da8969"></a><!-- doxytag: member="plist.c::mplist_find_by_key" ref="ga73caf1b7a0082184ff15e1b3e2da8969" args="(MPlist *plist, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_find_by_key </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト中から指定のキーを持つプロパティを探す. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga73caf1b7a0082184ff15e1b3e2da8969" title="プロパティリスト中から指定のキーを持つプロパティを探す...">mplist_find_by_key()</a> はプロパティリスト <b>plist</b> を始めから探 して、キーが <b>key</b> であるプロパティを見つける。見つかれば、そのプロパティから始まる <b>plist</b> の部分リストを返す。そうでなければ <code>NULL</code> を返す。</p>
<p><b>key</b> が <code>Mnil</code> ならば、<b>plist</b> の最後の要素から始まる部分リストを返す。 </p>

</div>
</div>
<a class="anchor" id="gaeb782bf76f84a8620331c8de70d43ba7"></a><!-- doxytag: member="plist.c::mplist_find_by_value" ref="gaeb782bf76f84a8620331c8de70d43ba7" args="(MPlist *plist, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_find_by_value </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト中から指定の値を持つプロパティを探す. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#gaeb782bf76f84a8620331c8de70d43ba7" title="プロパティリスト中から指定の値を持つプロパティを探す.">mplist_find_by_value()</a> はプロパティリスト <b>plist</b> を始めから探して、値が <b>val</b> であるプロパティを見つける。見つかれば、そのプロパティから始まる <b>plist</b> の部分リストを返す。そうでなければ <code>NULL</code> を返す。 </p>

</div>
</div>
<a class="anchor" id="ga5c7598c133f6a177a2ad5781fc712f6e"></a><!-- doxytag: member="plist.c::mplist_next" ref="ga5c7598c133f6a177a2ad5781fc712f6e" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_next </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストの次の部分リストを返す. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga5c7598c133f6a177a2ad5781fc712f6e" title="プロパティリストの次の部分リストを返す.">mplist_next()</a> はプロパティリスト <b>plist</b> の 2 番目の要素から始まる部分リストへのポインタを返す。<b>plist</b> の長さが 0 ならば <code>NULL</code> を返す。 </p>

</div>
</div>
<a class="anchor" id="gab343caba712200f5324c12f668f7e6da"></a><!-- doxytag: member="plist.c::mplist_set" ref="gab343caba712200f5324c12f668f7e6da" args="(MPlist *plist, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mplist_set </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストの最初のプロパティを設定する. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#gab343caba712200f5324c12f668f7e6da" title="プロパティリストの最初のプロパティを設定する.">mplist_set()</a> はプロパティリスト <b>plist</b> の最初のプロパティのキーと値をそれぞれ <b>key</b> と <b>value</b> に設定する。 <b>key</b> と <b>val</b> に対する制限については、mplist_add() の説明を参照。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理に成功すれば <a class="el" href="group__m17nPlist.html#gab343caba712200f5324c12f668f7e6da" title="プロパティリストの最初のプロパティを設定する.">mplist_set()</a> は <b>plist</b> を返す。そうでなければ <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga334646ff9553354f4b041947f000764d"></a><!-- doxytag: member="plist.c::mplist_length" ref="ga334646ff9553354f4b041947f000764d" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mplist_length </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリストの長さを返す. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga334646ff9553354f4b041947f000764d" title="プロパティリストの長さを返す.">mplist_length()</a> はプロパティリスト <b>plist</b> 中のプロパティの数を返す。 </p>

</div>
</div>
<a class="anchor" id="ga79d757b26382412e7ea69e914bc06a07"></a><!-- doxytag: member="plist.c::mplist_key" ref="ga79d757b26382412e7ea69e914bc06a07" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mplist_key </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト中の最初のプロパティのキーを返す. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga79d757b26382412e7ea69e914bc06a07" title="プロパティリスト中の最初のプロパティのキーを返す.">mplist_key()</a> は、プロパティリスト <b>plist</b> 中の最初のプロパティのキーを返す。<b>plist</b> の長さが 0 ならば、 <code>Mnil</code> を返す。 </p>

</div>
</div>
<a class="anchor" id="ga855f3010b216bcf5f0914553fc034295"></a><!-- doxytag: member="plist.c::mplist_value" ref="ga855f3010b216bcf5f0914553fc034295" args="(MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mplist_value </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>プロパティリスト中の最初のプロパティの値を返す. </p>
<p>関数 <a class="el" href="group__m17nPlist.html#ga855f3010b216bcf5f0914553fc034295" title="プロパティリスト中の最初のプロパティの値を返す.">mplist_value()</a> は、プロパティリスト <b>plist</b> 中の最初のプロパティの値を返す。 <b>plist</b> の長さが 0 ならば、 <code>Mnil</code> を返す。 </p>

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="ga0ce08eb57aa339db4d4745e75e80fdd8"></a><!-- doxytag: member="plist.c::Minteger" ref="ga0ce08eb57aa339db4d4745e75e80fdd8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8">Minteger</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"integer" を名前として持つシンボル. </p>
<p>シンボル <code>Minteger</code> は <code>"integer"</code> という名前を持つ。キーが <code>Minteger</code> であるプロパティの値は整数値でなくてはならない。 </p>

</div>
</div>
<a class="anchor" id="ga933000e154873f9bfcaa56d976bd259b"></a><!-- doxytag: member="plist.c::Mplist" ref="ga933000e154873f9bfcaa56d976bd259b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nPlist.html#ga933000e154873f9bfcaa56d976bd259b">Mplist</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"plist" を名前として持つシンボル. </p>
<p>シンボル <code>Mplist</code> は <code>"plist"</code> という名前を持つ。これは管理キーである。キーが <code>Mplist</code> であるプロパティの値は plist でなくてはならない。 </p>

</div>
</div>
<a class="anchor" id="ga1a22859374071a0ca66f12452afee8bd"></a><!-- doxytag: member="plist.c::Mtext" ref="ga1a22859374071a0ca66f12452afee8bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd">Mtext</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"mtext" を名前として持つシンボル. </p>
<p>シンボル <code>Mtext</code> は <code>"mtext"</code> という名前を持つ管理キーである。キーが <code>Mtext</code> であるプロパティの値は M-text でなくてはならない。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
